#include "delay.h"

void wait_1us(u_int cnt)
{
	// 32MHz -> Fcy is 16MHz
	for(;cnt; cnt--) {
		asm volatile ("	NOP \n NOP \n NOP \n NOP");
		asm volatile ("	NOP \n NOP \n NOP \n NOP");
		asm volatile ("	NOP \n NOP \n NOP \n NOP");
		asm volatile ("	NOP \n NOP \n NOP \n NOP");
	}
}
//---- END_MODIFY

/*
********************************************************************************
*               WAIT FUNCTION
*
* Description : This function waits for 10 milliseconds
* Arguments   : cnt - is the time to wait
* Returns     : None
* Note        : Internal Function
********************************************************************************
*/
void wait_10ms(u_int cnt)
{
	for (; cnt; cnt--) wait_1ms(10);
}


/*
********************************************************************************
*               WAIT FUNCTION
*
* Description : This function waits for 1 milliseconds
* Arguments   : cnt - is the time to wait
* Returns     : None
* Note        : Internal Function
********************************************************************************
*/
void wait_1ms(u_int cnt)
{
	for (; cnt; cnt--) wait_1us(1000);
}

